Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class Main.AbstractOptionHandler

    java.lang.Object
      org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler

All Implemented Interfaces:
  Main.OptionHandler

Direct Known Subclasses:
  Main.NoValueOptionHandler, Main.SingleValueOptionHandler

Enclosing class:
  Main

    public abstract static class Main.AbstractOptionHandler

extends Object
implements Main.OptionHandler

This abstract implementation of the `OptionHandler` interface throws an exception if the number of arguments passed to the `handleOption` method does not match the number of expected optionValues. If the size matches, the `safeHandleOption` method is invoked. Subclasses can implement the `safeHandleOption` method assuming that the input array size is correct.

Constructor Summary
`Main.AbstractOptionHandler()`

Method Summary
`void` | `handleOption(String[] optionValues, SVGConverter c)` The `OptionHandler` should configure the `SVGConverter` according to the value of the option.
`abstract void` | `safeHandleOption(String[] optionValues, SVGConverter c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.apps.rasterizer.Main.OptionHandler
`getOptionDescription, getOptionValuesLength`

Constructor Detail

### Main.AbstractOptionHandler

    public Main.AbstractOptionHandler()

Method Detail

### handleOption

    public void handleOption(String[] optionValues,
                             SVGConverter c)

  Description copied from interface: `Main.OptionHandler`
  The `OptionHandler` should configure the `SVGConverter` according to the value of the option. Should throw an IllegalArgumentException if optionValue is not an acceptable option.

  Specified by:
    `handleOption` in interface `Main.OptionHandler`

### safeHandleOption

    public abstract void safeHandleOption(String[] optionValues,
                                          SVGConverter c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.